Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000847Core InformPhrases and functional programmingpublic2012-01-25 14:442014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000847: Runtime problem messages point to the source text, even if the infraction is in an extension
DescriptionThe attached source provokes

- - - -
*** Run-time problem P47 (at paragraph 4 in the source text): Phrase applied to an incompatible kind of value
- - - -

though the phrase application is in paragraph 4 of Extension by John Doe.
Minimal Source Text To Reproduce
- - - -
Include Extension by John Doe.
There is a room.
- - - -

- - - -
Extension by John Doe begins here.

To foo (X - an even number): do nothing.
When play begins: foo 9.

Extension ends here.
- - - -
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0002345)
graham (administrator)
2014-01-24 00:52

Inform now produces RTPs in the form:

*** Run-time problem P47 (at paragraph 4 in Poorly Written Extension by John Doe): Phrase applied to an incompatible kind of value.

when this happens.

- Issue History
Date Modified Username Field Change
2012-01-25 14:44 EmacsUser New Issue
2012-06-20 08:50 curiousdannii Status new => confirmed
2014-01-24 00:52 graham Note Added: 0002345
2014-01-24 00:52 graham Status confirmed => resolved
2014-01-24 00:52 graham Resolution open => fixed
2014-01-24 00:52 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker